package com.zd.laboratory.mqtt.service;

/**
 * 消息发送接口
 * @author dgs
 * @time 2019-12-24
 */
public interface MessageSendService{

    /**
     * 支付成功mqtt推送
     * @param orderNo
     * @param trackX
     * @param trackY
     * @return
     */
    void SendPaySuccess(String orderNo, Integer trackX, Integer trackY, String macNo, Integer type, Integer number);

    /**
     * apk发生改变
     * @return
     */
    void ApkVersionChange(String macNo, String url, int versionCode);

    /**
     * banner改变 1,2,3分别代表广告位的位置
     */
    void BannerChange(Integer advicePosition, String macNo);

    /**
     * 登录
     * @param token
     */
    void login(String token);

    /**
     * 设备初始化
     * @param macNo
     */
    void init(String macNo);

    /**
     * 用户扫码通知
     * @param macNo
     * @param userId
     * @param openId
     * @param type 1代表是补货员2代表不是补货员
     */
    void userScanQrcode(String macNo, Long userId, String openId, Integer type);
}
